﻿/*****************************************************************************
 *
 *   Copyright(C) 2012, Embedded Artists AB
 *   All rights reserved.
 *
 ******************************************************************************
 * Software that is described herein is for illustrative purposes only
 * which provides customers with programming information regarding the
 * products. This software is supplied "AS IS" without any warranties.
 * Embedded Artists AB assumes no responsibility or liability for the
 * use of the software, conveys no license or title under any patent,
 * copyright, or mask work right to the product. Embedded Artists AB
 * reserves the right to make changes in the software without
 * notification. Embedded Artists AB also make no representation or
 * warranty that such application will be suitable for the specified
 * use without further testing or modification.
 *****************************************************************************/
#ifndef __BSP_H__
#define __BSP_H__

/******************************************************************************
 * Defines and typedefs
 *****************************************************************************/
#include "lpc_types.h"


#define KEY_PRESS		1
#define KEY_NO_PRESS	0

/******************************************************************************
 * Prototypes
 *****************************************************************************/


void bsp_init(void);
void bsp_spiInit(void);
void bsp_spiWrite(uint8_t* data, uint16_t len);
void bsp_spiRead(uint8_t* data, uint16_t len);
void bsp_startTimer(void (*callb)(void));
uint32_t bsp_getMsTicks(void);
void bsp_delayMs(uint32_t ms);
void bsp_delayUs(uint32_t us);
int16_t bsp_getTemp(void);
uint8_t bsp_getKey(void);

void bsp_pinDir(uint8_t pin, uint8_t dir);
void bsp_pinSet(uint8_t pin);
void bsp_pinClr(uint8_t pin);
uint8_t bsp_pinState(uint8_t pin);

void bsp_setLed(uint8_t on);

typedef enum {
	LED6_RED,
	LED6_GREEN,
	LED6_BLUE,
	LED7_RED,
	LED7_GREEN,
	LED7_BLUE,
} rgbled_t;
void bsp_setRgbLed(rgbled_t led, uint8_t on);


#endif	//__BSP_H__
